Bug 15280

Summary: Switch default CHECKOUT notice to Template Toolkit
Product: Koha Reporter: Kyle M Hall <kyle>
Component: NoticesAssignee: Kyle M Hall <kyle>
Status: CLOSED FIXED QA Contact: Marcel de Rooy <m.de.rooy>
Severity: enhancement    
Priority: P5 - low CC: gwilliams, jonathan.druart+koha, josef.moravec, katrin.fischer, m.de.rooy, martin.renvoize, mirko, nick
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Bug Depends on: 14757, 17961    
Bug Blocks: 15278, 15282    
Attachments: Bug 15280 - Switch default CHECKOUT notice to Template Toolkit
Bug 15280 - Switch default CHECKOUT notice to Template Toolkit
Bug 15280 - Switch default CHECKOUT notice to Template Toolkit
[SIGNED-OFF] Bug 15280 - Switch default CHECKOUT notice to Template Toolkit
Bug 15280 - Switch default CHECKOUT notice to Template Toolkit
Bug 15280 - Switch default CHECKOUT notice to Template Toolkit
Bug 15280: Switch default CHECKOUT notice to Template Toolkit

Description Kyle M Hall 2015-12-02 14:49:29 UTC

    
Comment 1 Kyle M Hall 2015-12-02 15:25:41 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-12-02 15:31:48 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-12-02 15:55:02 UTC
*** Bug 15281 has been marked as a duplicate of this bug. ***
Comment 4 Mirko Tietgen 2016-01-28 09:47:41 UTC
Does not work for me. Message I received was

The following items have been checked out:
[% biblio.title %]
Thank you for visiting [% branch.branchname %].


(In reply to Kyle M Hall from comment #1)
> 1) Ensure dependancies are applied

Are there dependencies not listed here?
Comment 5 Mirko Tietgen 2016-01-28 18:21:43 UTC
Created attachment 47399 [details] [review]
Bug 15280 - Switch default CHECKOUT notice to Template Toolkit

Test Plan:
1) Ensure dependancies are applied
2) Apply this patch
3) Update your CHECKOUT notice to match the following:

The following items have been checked out:
----
[% biblio.title %]
----
Thank you for visiting [% branch.branchname %].

3) Generate a CHECKOUT notice for a patron
4) Note there is not change to the generated notice

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 6 Jonathan Druart 2016-02-09 08:57:44 UTC
Blocked by bug 14757.
Comment 7 Josef Moravec 2016-11-04 10:12:32 UTC
Created attachment 57173 [details] [review]
[SIGNED-OFF] Bug 15280 - Switch default CHECKOUT notice to Template Toolkit

Test Plan:
1) Ensure dependancies are applied
2) Apply this patch
3) Update your CHECKOUT notice to match the following:

The following items have been checked out:
----
[% biblio.title %]
----
Thank you for visiting [% branch.branchname %].

3) Generate a CHECKOUT notice for a patron
4) Note there is not change to the generated notice

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Jonathan Druart 2016-11-23 10:29:35 UTC
Ok so, beginning of a release cycle, let's take decisions!

What is the plan of attack for these notices?
I think we need to know if 1. everybody agrees with the TT syntax for notices and 2. we have dedicated time in a release cycle to move all of the existing notices to TT syntax.
I don't think it's a good idea not to move all of the notices at the same time (ie. during the same release cycle).
Comment 9 Kyle M Hall 2016-11-23 13:00:59 UTC
(In reply to Jonathan Druart from comment #8)
> Ok so, beginning of a release cycle, let's take decisions!
> 
> What is the plan of attack for these notices?
> I think we need to know if 1. everybody agrees with the TT syntax for
> notices and 2. we have dedicated time in a release cycle to move all of the
> existing notices to TT syntax.
> I don't think it's a good idea not to move all of the notices at the same
> time (ie. during the same release cycle).

I totally agree with that. I think first we need to start a mailing list topic for this which should end with a simple vote of whether to continue to use the existing syntax by default or to switch to TT by default and eventually deprecate the existing syntax. What do you think?
Comment 10 Jonathan Druart 2016-11-23 14:58:09 UTC
(In reply to Kyle M Hall from comment #9)
> (In reply to Jonathan Druart from comment #8)
> > Ok so, beginning of a release cycle, let's take decisions!
> > 
> > What is the plan of attack for these notices?
> > I think we need to know if 1. everybody agrees with the TT syntax for
> > notices and 2. we have dedicated time in a release cycle to move all of the
> > existing notices to TT syntax.
> > I don't think it's a good idea not to move all of the notices at the same
> > time (ie. during the same release cycle).
> 
> I totally agree with that. I think first we need to start a mailing list
> topic for this which should end with a simple vote of whether to continue to
> use the existing syntax by default or to switch to TT by default and
> eventually deprecate the existing syntax. What do you think?

We already had one :)
http://lists.koha-community.org/pipermail/koha-devel/2016-February/042316.html
Comment 11 Marcel de Rooy 2017-01-27 10:39:33 UTC
Created attachment 59614 [details] [review]
Bug 15280 - Switch default CHECKOUT notice to Template Toolkit

Test Plan:
1) Ensure dependancies are applied
2) Apply this patch
3) Update your CHECKOUT notice to match the following:

The following items have been checked out:
----
[% biblio.title %]
----
Thank you for visiting [% branch.branchname %].

3) Generate a CHECKOUT notice for a patron
4) Note there is not change to the generated notice

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 12 Marcel de Rooy 2017-01-27 10:40:36 UTC
The fact that we should replace <<branches.field>> by [% branch.field %] is somewhat confusing ;)
Comment 13 Jonathan Druart 2017-01-27 10:59:07 UTC
I think that this patch should not be pushed before bug 17964.
Comment 14 Marcel de Rooy 2017-01-27 12:35:07 UTC
(In reply to Jonathan Druart from comment #13)
> I think that this patch should not be pushed before bug 17964.

There is no direct connection? These patches do a simple change to the default notice that works and only depends on biblio and branch, not issues.
Comment 15 Jonathan Druart 2017-01-27 13:38:45 UTC
(In reply to Marcel de Rooy from comment #14)
> (In reply to Jonathan Druart from comment #13)
> > I think that this patch should not be pushed before bug 17964.
> 
> There is no direct connection? These patches do a simple change to the
> default notice that works and only depends on biblio and branch, not issues.

They prove that CHECKIN and CHECKOUT work and will still work if a change is done in template processing.
Comment 16 Jonathan Druart 2017-06-05 17:12:21 UTC
Waiting a bit before marking the TT syntax as default.
Comment 17 Kyle M Hall 2018-10-03 11:03:07 UTC
Created attachment 79864 [details] [review]
Bug 15280 - Switch default CHECKOUT notice to Template Toolkit

Test Plan:
1) Ensure dependancies are applied
2) Apply this patch
3) Update your CHECKOUT notice to match the following:

The following items have been checked out:
----
[% biblio.title %]
----
Thank you for visiting [% branch.branchname %].

3) Generate a CHECKOUT notice for a patron
4) Note there is not change to the generated notice

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 18 Jonathan Druart 2018-10-03 14:53:18 UTC
Created attachment 79897 [details] [review]
Bug 15280: Switch default CHECKOUT notice to Template Toolkit

Test Plan:
1) Ensure dependancies are applied
2) Apply this patch
3) Update your CHECKOUT notice to match the following:

The following items have been checked out:
----
[% biblio.title %]
----
Thank you for visiting [% branch.branchname %].

3) Generate a CHECKOUT notice for a patron
4) Note there is not change to the generated notice

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 19 Nick Clemens 2018-10-19 17:30:15 UTC
Awesome work all!

Pushed to master for 18.11
Comment 20 Martin Renvoize 2018-11-06 10:16:53 UTC
Enhancement, will not be backported to 18.05.x series.